from __future__ import division
import numpy as np
import numpy.random as npr
import scipy.stats as sps
import matplotlib.pyplot as plt

param=3 #parametre 
n=1000
N=5000 #nombre de tirages effectue pour tracer l'histogramme en batons de la loi de X_n

X=npr.binomial(n,param/n,N)

counts = np.bincount(X) / float(N)
x = np.arange(len(counts))
f_x = sps.poisson.pmf(x, param)
plt.close()
plt.bar(x - 0.5, counts, width=1., label="loi empirique")
p2 = plt.stem(x, f_x, "r", label="loi theorique")
plt.legend()
plt.show()