from __future__ import division
import numpy as np
import numpy.random as npr
import scipy.stats as sps
import matplotlib.pyplot as plt


param=2 #parametre 
n=1000
N=5000 #nombre de tirages effectue pour tracer une densite de X_n

X=npr.geometric(param/n,N)

plt.close()
plt.hist(X/n, normed=True, label="Densite empirique", bins=int(sqrt(N)))
x = np.linspace(min(X/n), max(X/n), 100) 
f_x =  param*np.exp(-param*x)
plt.plot(x, f_x, "r", label="Densite theorique")
plt.legend()
plt.show()