from __future__ import division
import numpy as np
import numpy.random as npr
import scipy.stats as sps
import matplotlib.pyplot as plt


n=3200000


X=npr.rand(n)
Y=npr.rand(n)

Sn=4/n*np.sum(X**2+Y**2<1) #sum compte le nombre d'elements non nuls (ou vrais) dans un tableau

print "Intervalle de confiance pour Pi au niveau 0.99 : ["+str(Sn-0.01/2)+","+str(Sn+0.01/2)+"]" #On utilise str pour convertir un entier en chaine de caracteres et on utilise le + pour concatener des chaines de caracteres
print "En vrai, Pi vaut "+str(np.pi)