from __future__ import division
import numpy as np
import numpy.random as npr
import scipy.stats as sps
import matplotlib.pyplot as plt

n=10000

X=np.arange(2,n+2)
Y=npr.exponential(1,n)/np.log(X)

plt.close()
#On regarde si la "densite" emprique converge
plt.hist(Y, normed=True, label="Densite empirique", bins=1000)
#On regarde ensuite si la fonction de repartition empirique converge en tout point
Y_croissant = np.sort(Y)  # On trie les donnees en ordre croissant
plt.figure()
plt.step(Y_croissant, np.arange(n)/n, label="Fonction de repartition empirique") 
plt.show()